<?php

namespace App\Models;

use DateTime;
use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

/**
 * Class MaturityQuestion.
 *
 * @property int              $id
 * @property MaturityAnswer[] $answers
 * @property string           $name
 * @property string           $slug
 * @property string           $title
 * @property string           $subtitle
 * @property bool             $auto
 * @property DateTime         $createdAt
 * @property DateTime         $updatedAt
 */
class MaturityQuestion extends Model
{
    use HasFactory;
    use HasTimestamps;

    protected $casts = [
        'auto' => 'bool',
    ];

    public function answers(): HasMany
    {
        return $this->hasMany(MaturityAnswer::class);
    }
}
